Subject: Re: bug#71554: 29.3; eshell-command async buffer behavior

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jun 2024 15:33:46 +0300

> Date: Sun, 23 Jun 2024 22:36:47 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>  [email-masked]
> From: Jim Porter <[email-masked]>
> 
> Eli, what do you think about merging this into the Emacs 30 branch? I 
> have no strong preference myself, but I think it's small enough that it 
> should be safe, and it fixes an annoyance with Eshell today. (I can also 
> write a regression test or two if that would help matters.)

Why do we have to make this change in Emacs 30?  AFAIU, it isn't a
bug, just inconsistency between shell-mode and Eshell, and we have
lived with it for quite some time.  Right?

I'd like to have as short a pretest for Emacs 30.1 as possible, and
that means no changes we don't absolutely have to make.  Please
consider the necessity of this change from that POV.